## isrcsubmit 2.0.0~beta.5

=== Makefile ===
#version := 2.0.0-dev
version := 2.0.0-beta.5

build:
	./setup.py build

install:
	./setup.py install

version:
	sed -i -e 's/\(Isrcsubmit\s\)[0-9.]\+[0-9a-z.-]*/\1$(version)/' README.md
	sed -i -e 's/\(Isrcsubmit\s\)[0-9.]\+[0-9a-z.-]*/\1$(version)/' README.txt
	sed -i -e 's/\(__version__\s=\s"\)[0-9.]\+[0-9a-z.-]*/\1$(version)/' \
		isrcsubmit.py

.PHONY: build install version

=== pkg/Makefile ===
version := 2.0.0-beta.5
current := isrcsubmit-$(version)

downloads := ../web/isrcsubmit.jonnyjd.net/downloads/
upload := ftp://isrcsubmit.jonnyjd.net/downloads/
musicbrainzngs := musicbrainzngs-0.4
discid := discid-1.1.0
libdiscid := libdiscid-0.6.1

#scripts := isrcsubmit.py $(current).py
scripts := $(current).py
tar := $(current)
win32 := $(current)-win32
mac := $(current)-mac
all := $(scripts) $(tar).tar.gz $(win32).zip $(mac).zip

source_repo := ..
source_branch := master
source_dir := isrcsubmit


tag_ref := $(source_repo)/.git/refs/tags/v$(version)
branch_ref := $(source_repo)/.git/refs/heads/$(source_branch)
ifeq ($(wildcard $(tag_ref)),)
	source_ref := $(branch_ref)
else
	source_ref := $(tag_ref)
endif

ifeq ($(shell cd $(source_repo) && git tag -l v$(version)),)
	source_checkout := cd $(source_repo) git checkout $(source_branch)
else
	source_checkout := cd $(source_repo) git checkout v$(version)
endif

define cp_source =
	cp -a $(source_dir)/ $(1)
	rm -rf $(1)/.git
endef

base_libs := $(musicbrainzngs) $(discid) $(libdiscid)
define cp_base_libs =
	mv $(1)/COPYING $(1)/COPYING.isrcsubmit
	mv $(1)/AUTHORS $(1)/AUTHORS.isrcsubmit
	mkdir $(1)/src
	cp -ar $(musicbrainzngs)/musicbrainzngs $(1)/
	cp -ar $(musicbrainzngs) $(1)/src/
	cp -ar $(discid)/discid $(1)/
	cp -ar $(discid) $(1)/src/
	cp -ar $(libdiscid) $(1)/src/
endef


all: $(all)


upload: $(all)
	cp -a $^ $(downloads)
	cd $(downloads) && ftpsync -cn . $(upload)


isrcsubmit.py: $(source_ref)
	cp -a $(source_dir)/isrcsubmit.py .

$(current).py: $(source_ref)
	cp -a $(source_dir)/isrcsubmit.py $(current).py

tar: $(tar).tar.gz
$(tar).tar.gz: $(source_ref)
	$(call cp_source, $(tar))
	tar --owner=root --group=root -czf $@ $(tar)
	rm -rf $(tar)

win32: $(win32).zip
$(win32).zip: $(source_ref) $(base_libs) $(libdiscid)-win32.zip mediatools
	$(call cp_source, $(win32))
	$(call cp_base_libs, $(win32))
	unzip $(libdiscid)-win32.zip
	cp -a $(libdiscid)-win32/discid.dll $(win32)/
	cp -ar mediatools $(win32)/
	cp -a mediatools.exe $(win32)/
	zip -qr $@ $(win32)
	rm -rf $(libdiscid)-win32
	rm -rf $(win32)

mac: $(mac).zip
$(mac).zip: $(source_ref) $(base_libs) $(libdiscid)-mac.zip
	$(call cp_source, $(mac))
	$(call cp_base_libs, $(mac))
	unzip $(libdiscid)-mac.zip
	cp -a $(libdiscid)-mac/universal/libdiscid.0.dylib $(mac)/
	zip -qr $@ $(mac)
	rm -rf $(libdiscid)-mac
	rm -rf $(mac)

# sources:
#
$(source_dir):
	git clone -b $(source_branch) $(source_repo) $@

$(source_ref): $(source_dir)
	cd $^ && git pull
	$(source_checkout)


# libraries:
#
$(musicbrainzngs): $(musicbrainzngs).tar.gz
	tar -xzf $^
$(musicbrainzngs).tar.gz:
	wget http://pypi.python.org/packages/source/m/musicbrainzngs/$@

$(discid): $(discid).tar.gz
	tar -xzf $^
$(discid).tar.gz:
	wget http://pypi.python.org/packages/source/d/discid/$@

libdiscid: $(libdiscid)
$(libdiscid): $(libdiscid).tar.gz
	tar -xzf $^

$(libdiscid).tar.gz:
	wget http://ftp.musicbrainz.org/pub/musicbrainz/libdiscid/$@

$(libdiscid)-%.zip:
	wget http://ftp.musicbrainz.org/pub/musicbrainz/libdiscid/$@

mediatools: mediatools.zip
	unzip -o $^

mediatools.zip:
	wget http://www.flanagan-family.com/$@


clean:
	rm -rf $(source_dir)
	rm -f $(all)
	rm -rf $(base_libs)
	rm -rf mediatools mediatools.exe

.PHONY: source_update

=== debian/changelog ===
isrcsubmit (2.0.0~beta.5-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * debian/patches: Removed, no longer needed.
  * debian/control: Bump Standards-Version to 3.9.5.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 28 Oct 2013 22:31:00 +0100

isrcsubmit (2.0.0~beta.4-1) experimental; urgency=low

  * Initial release. (Closes: #725179)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 02 Oct 2013 16:03:55 +0200

=== debian/control ===
Source: isrcsubmit
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3,
 python3-libdiscid,
 python3-musicbrainzngs (>= 0.4),
 python3-sphinx
Standards-Version: 3.9.5
Homepage: http://jonnyjd.github.io/musicbrainz-isrcsubmit/
X-Python3-Version: >= 3.1
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/isrcsubmit.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/isrcsubmit.git -b master

Package: isrcsubmit
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-libdiscid,
 python3-musicbrainzngs (>= 0.4)
Recommends:
 cdrdao,
 www-browser,
 xdg-utils
Description: extract ISRCs from audio CDs and submit them to MusicBrainz
 isrcsubmit is a command line utility to extract International Standard
 Recording Codes (ISRC) from audio CDs. It allows one to submit the extracted
 data to MusicBrainz. ISRCs are used to uniquely identify sound and music video
 recordings.
 .
 A valid MusicBrainz account is required to submit ISRCs.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_install:
	python3 setup.py install --root=debian/isrcsubmit \
		--install-layout=deb \
		--install-scripts=/usr/bin
	# get rid of .py
	mv debian/isrcsubmit/usr/bin/isrcsubmit.py debian/isrcsubmit/usr/bin/isrcsubmit
	# there is no point in installing the egg
	rm -rf debian/isrcsubmit/usr/lib

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.markdown

=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/" \
  http://jonnyjd.github.io/musicbrainz-isrcsubmit/download \
    .*/isrcsubmit-(.*)\.tar\.gz

## isrcsubmit 2.0.0

=== Makefile ===
#version := 2.1.0-dev
version := 2.0.0

build:
	./setup.py build

check:
	./setup.py test

install:
	./setup.py install

register:
	# make sure setuptools is used for pypi interactions
	python -c "import setuptools"
	./setup.py register

upload:
	# make sure setuptools is used for pypi interactions
	python -c "import setuptools"
	./setup.py sdist upload

version:
	sed -i -e 's/\(Isrcsubmit\s\)[0-9.]\+[0-9a-z.-]*/\1$(version)/' README.rst
	sed -i -e 's/\(__version__\s=\s"\)[0-9.]\+[0-9a-z.-]*/\1$(version)/' \
		isrcsubmit.py

clean:
	rm -f *.pyc

.PHONY: build install version

=== pkg/Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
-version := 2.0.0-beta.5
+version := 2.0.0
 current := isrcsubmit-$(version)
 
 downloads := ../web/isrcsubmit.jonnyjd.net/downloads/
 upload := ftp://isrcsubmit.jonnyjd.net/downloads/
-musicbrainzngs := musicbrainzngs-0.4
+musicbrainzngs := musicbrainzngs-0.5
 discid := discid-1.1.0
 libdiscid := libdiscid-0.6.1
 
-#scripts := isrcsubmit.py $(current).py
-scripts := $(current).py
+scripts := isrcsubmit.py $(current).py
+#scripts := $(current).py
 tar := $(current)
 win32 := $(current)-win32
 mac := $(current)-mac

=== debian/changelog ===
isrcsubmit (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/extra-import.patch: Removed, applied upstream.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 May 2014 17:25:39 +0200

isrcsubmit (2.0.0~rc.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Run tests.
  * debian/patches:
    - libdiscid.patch: Replace discid with python_libdiscid in setup.py.
    - extra-import.patch: get rid of extra import discid in test suite.
  * debian/clean: Clean *.egg-info to be able to build twice in a row.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 04 Mar 2014 14:47:53 +0100

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  python3-musicbrainzngs (>= 0.4)
 Recommends:
  cdrdao,
+ python3-keyring,
  www-browser,
  xdg-utils
 Description: extract ISRCs from audio CDs and submit them to MusicBrainz

=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,10 @@
 	# there is no point in installing the egg
 	rm -rf debian/isrcsubmit/usr/lib
 
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	python3 setup.py test
+endif
+
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.markdown

## isrcsubmit 2.0.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #version := 2.1.0-dev
-version := 2.0.0
+version := 2.0.1
 
 build:
 	./setup.py build

=== pkg/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version := 2.0.0
+version := 2.0.1
 current := isrcsubmit-$(version)
 
 downloads := ../web/isrcsubmit.jonnyjd.net/downloads/
@@ -18,6 +18,7 @@
 source_branch := master
 source_dir := isrcsubmit
 
+# TODO: make sure isrcsubmit.py is really updated!
 
 tag_ref := $(source_repo)/.git/refs/tags/v$(version)
 branch_ref := $(source_repo)/.git/refs/heads/$(source_branch)
@@ -138,4 +139,4 @@
 	rm -rf $(base_libs)
 	rm -rf mediatools mediatools.exe
 
-.PHONY: source_update
+.PHONY: $(source_ref)

=== debian/changelog ===
isrcsubmit (2.0.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.
  * debian/: Bump debhelper compat level to 11.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 19 Apr 2018 22:02:13 +0200

isrcsubmit (2.0.1-2) unstable; urgency=medium

  * debian/control: Fix typo in description. (Closes: #820346)
    Thanks to Katsuhiko Nishimra.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 Jul 2016 01:16:56 +0200

isrcsubmit (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/mnapage.patch: Removed, applied upstream.
  * debian/copyright: Update copyright years.
  * debian/control: Document cdrdao in description. (Closes: #763885)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jun 2015 23:46:29 +0200

isrcsubmit (2.0.0-2) unstable; urgency=medium

  * debian/patches/manpage.patch: Fix installation of manpages (Closes:
    #773669)
  * debian/control: Bump Standards-Version to 3.9.6, no changes required.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 14 May 2015 17:52:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: isrcsubmit
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python3,
  python3-libdiscid,
  python3-musicbrainzngs (>= 0.4),
  python3-sphinx
-Standards-Version: 3.9.5
+Standards-Version: 4.1.4
 Homepage: http://jonnyjd.github.io/musicbrainz-isrcsubmit/
 X-Python3-Version: >= 3.1
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/isrcsubmit.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/isrcsubmit.git -b master
+Vcs-Browser: https://salsa.debian.org/multimedia-team/isrcsubmit
+Vcs-Git: https://salsa.debian.org/multimedia-team/isrcsubmit.git
 
 Package: isrcsubmit
 Architecture: all
@@ -34,4 +34,7 @@
  data to MusicBrainz. ISRCs are used to uniquely identify sound and music video
  recordings.
  .
+ isrcsubmit supports multiple backends to extract ISRCs: libdiscid (the default)
+ and cdrdao for discs that do not store ISRCs in the subchannel information.
+ .
  A valid MusicBrainz account is required to submit ISRCs.

## isrcsubmit 2.1.0

=== Makefile ===
#version := 2.1.0-dev
version := 2.1.0

build:
	./setup.py build

check:
	./setup.py test

install:
	./setup.py install

upload:
	./setup.py sdist
	twine3 upload -s dist/isrcsubmit-$(version).tar.gz

version:
	sed -i -e 's/\(Isrcsubmit\s\)[0-9.]\+[0-9a-z.-]*/\1$(version)/' README.rst
	sed -i -e 's/\(__version__\s=\s"\)[0-9.]\+[0-9a-z.-]*/\1$(version)/' \
		isrcsubmit.py
	sed -i -e 's/\(version="\)[0-9.]\+[0-9a-z.-]*/\1$(version)/' \
		setup.py

clean:
	rm -f *.pyc

.PHONY: build install version

=== debian/changelog ===
isrcsubmit (2.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control: Bump Standards-Version.
  * debian/: Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 25 Feb 2019 20:51:54 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3,
  python3-libdiscid,
  python3-musicbrainzngs (>= 0.4),
  python3-sphinx
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://jonnyjd.github.io/musicbrainz-isrcsubmit/
-X-Python3-Version: >= 3.1
 Vcs-Browser: https://salsa.debian.org/multimedia-team/isrcsubmit
 Vcs-Git: https://salsa.debian.org/multimedia-team/isrcsubmit.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 		--install-layout=deb \
 		--install-scripts=/usr/bin
 	# get rid of .py
-	mv debian/isrcsubmit/usr/bin/isrcsubmit.py debian/isrcsubmit/usr/bin/isrcsubmit
+	mv debian/isrcsubmit/usr/bin/isrcsubmit.py \
+		debian/isrcsubmit/usr/bin/isrcsubmit
 	# there is no point in installing the egg
 	rm -rf debian/isrcsubmit/usr/lib

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
  http://jonnyjd.github.io/musicbrainz-isrcsubmit/download \
    .*/isrcsubmit-(.*)\.tar\.gz
